> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Extend Dataset Content

> Extends the dataset content



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/datasets/extend
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/datasets/extend:
    post:
      tags:
        - datasets
      summary: Extend Dataset Content
      description: Extends the dataset content
      operationId: extend_dataset_content_v2_datasets_extend_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SyntheticDatasetExtensionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyntheticDatasetExtensionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    SyntheticDatasetExtensionRequest:
      properties:
        prompt_settings:
          $ref: '#/components/schemas/PromptRunSettings-Input'
          description: Only the model is used.
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        examples:
          items:
            type: string
          type: array
          title: Examples
        source_dataset:
          anyOf:
            - $ref: '#/components/schemas/SyntheticDataSourceDataset'
            - type: 'null'
        data_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/SyntheticDataTypes'
              type: array
            - type: 'null'
          title: Data Types
        count:
          type: integer
          title: Count
          default: 10
        project_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Project Id
      type: object
      title: SyntheticDatasetExtensionRequest
      description: Request for a synthetic dataset run job.
    SyntheticDatasetExtensionResponse:
      properties:
        dataset_id:
          type: string
          format: uuid4
          title: Dataset Id
      type: object
      required:
        - dataset_id
      title: SyntheticDatasetExtensionResponse
      description: Response for synthetic dataset extension requests.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PromptRunSettings-Input:
      properties:
        logprobs:
          type: boolean
          title: Logprobs
          default: true
        top_logprobs:
          type: integer
          title: Top Logprobs
          default: 5
        echo:
          type: boolean
          title: Echo
          default: false
        'n':
          type: integer
          title: 'N'
          default: 1
        reasoning_effort:
          type: string
          title: Reasoning Effort
          default: medium
        verbosity:
          type: string
          title: Verbosity
          default: medium
        deployment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Name
        model_alias:
          type: string
          title: Model Alias
          default: gpt-5.1
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
          default: 4096
        stop_sequences:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Stop Sequences
        top_p:
          type: number
          title: Top P
          default: 1
        top_k:
          type: integer
          title: Top K
          default: 40
        frequency_penalty:
          type: number
          title: Frequency Penalty
          default: 0
        presence_penalty:
          type: number
          title: Presence Penalty
          default: 0
        tools:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Tools
        tool_choice:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/OpenAIToolChoice'
            - type: 'null'
          title: Tool Choice
        response_format:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Response Format
        known_models:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Known Models
      type: object
      title: PromptRunSettings
      description: Prompt run settings.
    SyntheticDataSourceDataset:
      properties:
        dataset_id:
          type: string
          format: uuid4
          title: Dataset Id
        dataset_version_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dataset Version Index
        row_ids:
          anyOf:
            - items:
                type: string
                format: uuid4
              type: array
            - type: 'null'
          title: Row Ids
      type: object
      required:
        - dataset_id
      title: SyntheticDataSourceDataset
      description: Configuration for dataset examples in synthetic data generation.
    SyntheticDataTypes:
      type: string
      enum:
        - General Query
        - Prompt Injection
        - Off-Topic Query
        - Toxic Content in Query
        - Multiple Questions in Query
        - Sexist Content in Query
      title: SyntheticDataTypes
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OpenAIToolChoice:
      properties:
        type:
          type: string
          title: Type
          default: function
        function:
          $ref: '#/components/schemas/OpenAIFunction'
      type: object
      required:
        - function
      title: OpenAIToolChoice
    Model:
      properties:
        name:
          type: string
          title: Name
        alias:
          type: string
          title: Alias
        integration:
          $ref: '#/components/schemas/LLMIntegration'
          default: openai
        user_role:
          anyOf:
            - type: string
            - type: 'null'
          title: User Role
        assistant_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistant Role
        system_supported:
          type: boolean
          title: System Supported
          default: false
        input_modalities:
          items:
            $ref: '#/components/schemas/ContentModality'
          type: array
          title: Input Modalities
          description: Input modalities that the model can accept.
        alternative_names:
          items:
            type: string
          type: array
          title: Alternative Names
          description: >-
            Alternative names for the model, used for matching with various
            current, versioned or legacy names.
        input_token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Input Token Limit
        output_token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Output Token Limit
        token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Token Limit
        output_price:
          type: number
          title: Output Price
          default: 0
        input_price:
          type: number
          title: Input Price
          default: 0
        cost_by:
          $ref: '#/components/schemas/ModelCostBy'
          default: tokens
        is_chat:
          type: boolean
          title: Is Chat
          default: false
        provides_log_probs:
          type: boolean
          title: Provides Log Probs
          default: false
        formatting_tokens:
          type: integer
          title: Formatting Tokens
          default: 0
        response_prefix_tokens:
          type: integer
          title: Response Prefix Tokens
          default: 0
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        legacy_mistral_prompt_format:
          type: boolean
          title: Legacy Mistral Prompt Format
          default: false
        requires_max_tokens:
          type: boolean
          title: Requires Max Tokens
          default: false
        max_top_p:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Top P
        params_map:
          $ref: '#/components/schemas/RunParamsMap'
        output_map:
          anyOf:
            - $ref: '#/components/schemas/OutputMap'
            - type: 'null'
        input_map:
          anyOf:
            - $ref: '#/components/schemas/InputMap'
            - type: 'null'
      type: object
      required:
        - name
        - alias
      title: Model
    OpenAIFunction:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: OpenAIFunction
    LLMIntegration:
      type: string
      enum:
        - anthropic
        - aws_bedrock
        - aws_sagemaker
        - azure
        - custom
        - databricks
        - mistral
        - nvidia
        - openai
        - vegas_gateway
        - vertex_ai
        - writer
      title: LLMIntegration
    ContentModality:
      type: string
      enum:
        - text
        - document
        - image
        - audio
        - video
      title: ContentModality
      description: Classification of content modality
    ModelCostBy:
      type: string
      enum:
        - tokens
        - characters
      title: ModelCostBy
    RunParamsMap:
      properties:
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        temperature:
          anyOf:
            - type: string
            - type: 'null'
          title: Temperature
        max_tokens:
          anyOf:
            - type: string
            - type: 'null'
          title: Max Tokens
        stop_sequences:
          anyOf:
            - type: string
            - type: 'null'
          title: Stop Sequences
        top_p:
          anyOf:
            - type: string
            - type: 'null'
          title: Top P
        top_k:
          anyOf:
            - type: string
            - type: 'null'
          title: Top K
        frequency_penalty:
          anyOf:
            - type: string
            - type: 'null'
          title: Frequency Penalty
        presence_penalty:
          anyOf:
            - type: string
            - type: 'null'
          title: Presence Penalty
        echo:
          anyOf:
            - type: string
            - type: 'null'
          title: Echo
        logprobs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logprobs
        top_logprobs:
          anyOf:
            - type: string
            - type: 'null'
          title: Top Logprobs
        'n':
          anyOf:
            - type: string
            - type: 'null'
          title: 'N'
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        tools:
          anyOf:
            - type: string
            - type: 'null'
          title: Tools
        tool_choice:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Choice
        response_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Format
        reasoning_effort:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoning Effort
        verbosity:
          anyOf:
            - type: string
            - type: 'null'
          title: Verbosity
        deployment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Name
      type: object
      title: RunParamsMap
      description: >-
        Maps the internal settings parameters (left) to the serialized
        parameters (right) we want to send in the API

        requests.
    OutputMap:
      properties:
        response:
          type: string
          title: Response
        token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Count
        input_token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Input Token Count
        output_token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Token Count
        completion_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Completion Reason
      type: object
      required:
        - response
      title: OutputMap
    InputMap:
      properties:
        prompt:
          type: string
          title: Prompt
        prefix:
          type: string
          title: Prefix
          default: ''
        suffix:
          type: string
          title: Suffix
          default: ''
      type: object
      required:
        - prompt
      title: InputMap
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````